%define name	pam_pkcs11_login
%define version	0.5.1
%define release	2mdk

%define their_name pkcs11_login

Summary:	A Pluggable Authentication Module for pkcs#11 environments
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{their_name}-%{version}.tar.bz2
Patch0:		pam_pkcs11_x86_64_Makefile.patch.bz2
License:	GPL
URL:		http://oasis.dit.upm.es/~jantonio/pam-pkcs11/
Group:		System/Libraries
BuildRequires:	openssl-devel
BuildRequires:	libldap-devel >= 2.1.30
BuildRequires:	pam-devel
BuildRequires:	libxslt-proc docbook-style-xsl
%{?_with_curl:BuildRequires: curl-devel}
Provides:	pkcs11_login
BuildRoot:	%{_tmppath}/%{their_name}-%{version}-%{release}-buildroot

%description 
This Linux-PAM login module allows a X.509 certificate based user login. 
The certificate and its dedicated private key are thereby accessed by means 
of an appropriate PKCS #11 module. For the verification of the users' 
certificates, locally stored CA certificates as well as either online or 
locally accessible CRLs are used.

%package tools
Group:          System/Libraries
Summary:        Companion tools for pkcs11_login
BuildRequires:  pcsc-lite-devel
Requires:       pcsc-lite
Requires:       pkcs11_login
Provides:       pkcs11_login-tools

%description tools
This package contains several pam_pkcs11 related tools
- card_eventmgr: Generate card insert/removal events (pcsc-lite based)
- pkcs11_eventmgr: Generate actions on card insert/removal/timeout events
- pklogin_finder: Get the loginname that maps to a certificate
- pkcs11_inspect: Inspect the contents of a certificate

%prep

%setup -q -n %{their_name}-%{version}
%patch0 -p1

%build
%configure --disable-dependency-tracking %{?_with_curl}
%make 

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std mandir=%{_mandir}

# Hardcoded defaults... no sysconfdir
install -dm 755 %{buildroot}/%{_sysconfdir}/pkcs11/cacerts
install -dm 755 %{buildroot}/%{_sysconfdir}/pkcs11/crls
install -m 644 etc/pam_pkcs11.conf.example %{buildroot}/%{_sysconfdir}/pkcs11/pam_pkcs11.conf
install -m 644 etc/card_eventmgr.conf.example %{buildroot}/%{_sysconfdir}/pkcs11/card_eventmgr.conf
install -m 644 etc/pkcs11_eventmgr.conf.example %{buildroot}/%{_sysconfdir}/pkcs11/pkcs11_eventmgr.conf

# cleanup
rm -f %{buildroot}/%{_lib}/security/*.*a
rm -f %{buildroot}/%{_libdir}/pam_pkcs11/*.*a

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README TODO ChangeLog NEWS
%doc docs/pam_pkcs11.html
%doc docs/README.autologin
%doc docs/README.mappers
%{_mandir}/man8/*
%{_sysconfdir}/pkcs11/cacerts
%{_sysconfdir}/pkcs11/crls
%{_sysconfdir}/pkcs11/pam_pkcs11.conf
%{_bindir}/make_hash_link.sh
%{_libdir}/pam_pkcs11/*.so
/%{_lib}/security/*
%{_datadir}/pkcs11_login/pam_pkcs11.conf.example
%{_datadir}/pkcs11_login/pam.d_login.example
%{_datadir}/pkcs11_login/subject_mapping.example
%{_datadir}/pkcs11_login/mail_mapping.example
%{_datadir}/pkcs11_login/digest_mapping.example

%files tools
%defattr(-,root,root,-)
%{_mandir}/man1/*
%{_sysconfdir}/pkcs11/card_eventmgr.conf
%{_sysconfdir}/pkcs11/pkcs11_eventmgr.conf
%{_bindir}/card_eventmgr
%{_bindir}/pkcs11_eventmgr
%{_bindir}/pklogin_finder
%{_bindir}/pkcs11_inspect
%{_datadir}/pkcs11_login/card_eventmgr.conf.example
%{_datadir}/pkcs11_login/pkcs11_eventmgr.conf.example
%doc docs/README.eventmgr

%changelog
* Fri May 06 2005 Udo Rader <udo.rader@bestsolution.at> 0.5.1-2mdk
- fixed specfile duplicate files issues
- fixed build issues on x86_64

* Sat Apr 23 2005 Udo Rader <udo.rader@bestsolution.at> 0.5.1-1mdk
- initial version
